HomeAdvantage Inbound REST API and Data (Send Data To HomeAdvantage)
HomeAdvantage Inbound REST API and Data
In addition to integrations with LOS systems (Encompass and Mortgage Cadence) and Salesforce, data can be shared via our REST API. The following was created to familiarize partners with the HomeAdvantage bi-directional API and dataset.
If you have questions, please email your sales or account executive or technical questions can be directed to: techsupport@homeadvantage.com
HomeAdvantage Record Creation (inbound)
HomeAdvantage requires minimal data to create a record in its system. Additional fields can be helpful to our operations team and agent network to facilitate contact and convert and we can discuss adding more fields in our intro call. Notably, we will never ask or accept data to include (but not limited to): SS #; credit card #; financial or work history.
Primary fields
| Field Label | Required/Recommended |
| FirstName | Required |
| LastName | Required (at least 2 characters) |
| Required | |
| MobilePhone | Requires one (Preferred) |
| HomePhone | Requires one |
| TransactionType | Required (Recommended data – “buy; sell; both”) |
| AreaofInterest | Required ZIP code (if buying or both) |
| PropertyStreet | Required (if selling or both) |
| PropertyCity | Required (if selling or both) |
| Propertystate | Required (if selling or both) (2 character abbreviation ex:AZ) |
| PropertyZIP | Required (if selling or both) |
| PreQualAmount | must be a decimal number or ‘null’. Cannot be empty string. |
| PartnerName | Recommended |
| PartnerContactName | Recommended |
| PartnerContactPhone | Recommended |
| PartnerContactEmail | Recommended |
| UniqueRecordID | Required |
REST API
The HomeAdvantage REST API is used for data exchange between external systems and TechSupport@homeadvantage.com will discuss options and access to the subdomain and key.
URL Structure
The standard URL structure.
Send data to HomeAdvantage:
Placeholders subdomain and key will be provided by HomeAdvantage.
Test Data
When submitting test records, please use the word “test” in both the first and last name to assist with cleaning data pre-release.
Sample Payload:
{
“firstname”: “Test”,
“lastname”:”TestName”,
“email”:55client2.test.testname@test.homeadvantage.com,
“mobilephone”:”554-555-5555″,
“homephone”:”554-555-5555″,
“uniquerecordid”:”TestRecordID1″,
“propertystreet”:”11223 N Test Street”,
“propertycity”:”Tucson”,
“propertystate”:”AZ”,
“propertyzip”:”85096″,
“areasofinterest”:”Tucson, AZ”,
“notes”:”Looking for home in Tucson, AZ”,
“partnercontactname”:”Loan Officer1″,
“partnercontactemail”:loanofficer1@test.homeadvantage.com,
“partnercontactphone”:”602-555-5566″,
“transactiontype”:”seller”,
“prequalamount”:”300000″
}
HTTP Post Example
POST /api/services/app/Members/CreateRegistration?apikey={key} HTTP/1.1 Host: {subdomain}.staging.myhomeadvantage.com Content-Type: application/json
Content-Length: 708
{
“firstname”: “Client First Name”,
“lastname”:”Client Last Name”,
“email”:”ClientEmail”,
“mobilephone”:”###-###-####”,
“address”:”Client Street Address”,
“city”:”Client Address”,
“state”: “Client State”,
“zipcode”:”Client Zip Code”,
“uniquerecordid”:”Partner Unique ID”,
“propertystreet”:”Client Street Address (Selling)”,
“propertycity”:”Client City (Selling)”,
“propertystate”:”Client State (Selling)”,
“propertyzip”:”Client Zip (Selling”,
“areasofinterest”:”City, State Zip of Buying/Selling Location”,
“notes”:”General Notes about client for agent”,
“partnercontactname”:”Partner Contact First and Last Name”,
“partnercontactemail”:”Partner Email Address”,
“partnercontactphone”:”###-###-####”,
“transactiontype”:”Seller or Buyer”,
“prequalamount”:”Amount Prequalifed For”
}
Javascript JQuery Example
var settings =
{ “url”: “https://{subdomain}.staging.myhomeadvantage.com/api/services/app/Members/CreateRegistration?apikey={key}”,
“method”: “POST”,
“timeout”: 0,
“headers”: { “Content-Type”: “application/json” },
“data”: JSON.stringify({ “firstname”: “Client First Name”, “lastname”:”Client Last Name”,
“email”:”ClientEmail”,
“mobilephone”:”###-###-####”,
“homephone”:”###-###-####”,
“address”:”Client Street Address”,
“city”:”Client Address”,
“state”: “Client State”,
“zipcode”:”Client Zip Code”,
“uniquerecordid”:”Partner Unique ID”,
“propertystreet”:”Client Street Address (Selling)”,
“propertycity”:”Client City (Selling)”,
“propertystate”:”Client State (Selling)”,
“propertyzip”:”Client Zip (Selling”, “areasofinterest”:”City, State Zip of Buying/Selling Location”,
“notes”:”General Notes about client for agent”,
“partnercontactname”:”Partner Contact First and Last Name”,
“partnercontactemail”:”Partner Email Address”,
“partnercontactphone”:”###-###-####”,
“transactiontype”:”Seller or Buyer”,
“prequalamount”:”Amount Prequalifed For”
}),
};
$.ajax(settings).done(function (response) { console.log(response);
});
Success Response
HomeAdvantage will return a success response. Example below.
{“result”:{“entityId”:null,”workflowId”:”c1051c7c-b440-4baf-8eae-08dcac2c1d7c”,”workflowName”:”API”,”workflowRuns”:true,”results”:”Contact: 3d61d78a-80c3-4b6e-bb3e-08dcbbdd5dc5 Opportunity: 80b64540-d0e0-4660-0f61-08dcbbdd6033″,”workflowContinue”:true},”targetUrl”:null,”success”:true,”error”:null,”unAuthorizedRequest”:false,”__abp”:true}
